org.jbpm.persistence.processinstance

## Class ProcessInstanceInfo

- java.lang.Object
- - org.jbpm.persistence.processinstance.ProcessInstanceInfo

- All Implemented Interfaces:
    org.drools.persistence.Transformable

      @Entity
      public class ProcessInstanceInfo
      extends Object
      implements org.drools.persistence.Transformable

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ProcessInstanceInfo()`
    `` | `ProcessInstanceInfo(org.kie.api.runtime.process.ProcessInstance processInstance)`
    `` | `ProcessInstanceInfo(org.kie.api.runtime.process.ProcessInstance processInstance, org.kie.api.runtime.Environment env)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearProcessInstance()`
    `boolean` | `equals(Object obj)`
    `org.kie.api.runtime.Environment` | `getEnv()`
    `Set<String>` | `getEventTypes()`
    `Long` | `getId()`
    `Date` | `getLastModificationDate()`
    `Date` | `getLastReadDate()`
    `String` | `getProcessId()`
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance(org.drools.core.common.InternalKnowledgeRuntime kruntime, org.kie.api.runtime.Environment env)`
    `org.kie.api.runtime.process.ProcessInstance` | `getProcessInstance(org.drools.core.common.InternalKnowledgeRuntime kruntime, org.kie.api.runtime.Environment env, boolean readOnly)`
    `byte[]` | `getProcessInstanceByteArray()`
    `Long` | `getProcessInstanceId()` Added in order to satisfy Hibernate AND the JBPMorm.xml: Hibernate needs getter/setters for a the field that's mapped.
    `Date` | `getStartDate()`
    `int` | `getState()`
    `int` | `getVersion()`
    `int` | `hashCode()`
    `void` | `setEnv(org.kie.api.runtime.Environment env)`
    `void` | `setId(Long processInstanceId)`
    `void` | `setProcessInstanceId(Long processInstanceId)`
    `void` | `transform()`
    `void` | `updateLastReadDate()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessInstanceInfo

          protected ProcessInstanceInfo()

    - #### ProcessInstanceInfo

          public ProcessInstanceInfo(org.kie.api.runtime.process.ProcessInstance processInstance)

    - #### ProcessInstanceInfo

          public ProcessInstanceInfo(org.kie.api.runtime.process.ProcessInstance processInstance,
                             org.kie.api.runtime.Environment env)

  - ### Method Detail

    - #### getProcessInstanceId

          public Long getProcessInstanceId()

      Added in order to satisfy Hibernate AND the JBPMorm.xml:
      - Hibernate needs getter/setters for a the field that's mapped.
        - (field access is inefficient/dangerous, and not necessary)
      - The JBPMorm.xml queries reference .processInstanceId as well.
      If we mapped the field using 'name="id"', the queries would thus fail. So instead of that, we just add the getters and use 'name="processInstanceId"'.
      Returns:
        The processInstanceId field value.

    - #### setProcessInstanceId

          public void setProcessInstanceId(Long processInstanceId)

    - #### getId

          public Long getId()

    - #### setId

          public void setId(Long processInstanceId)

    - #### getProcessId

          public String getProcessId()

    - #### getStartDate

          public Date getStartDate()

    - #### getLastModificationDate

          public Date getLastModificationDate()

    - #### getLastReadDate

          public Date getLastReadDate()

    - #### updateLastReadDate

          public void updateLastReadDate()

    - #### getState

          public int getState()

    - #### getProcessInstance

          public org.kie.api.runtime.process.ProcessInstance getProcessInstance(org.drools.core.common.InternalKnowledgeRuntime kruntime,
                                                                       org.kie.api.runtime.Environment env)

    - #### getProcessInstance

          public org.kie.api.runtime.process.ProcessInstance getProcessInstance(org.drools.core.common.InternalKnowledgeRuntime kruntime,
                                                                       org.kie.api.runtime.Environment env,
                                                                       boolean readOnly)

    - #### transform

          public void transform()

      Specified by:
        `transform` in interface `org.drools.persistence.Transformable`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getVersion

          public int getVersion()

    - #### getEventTypes

          public Set<String> getEventTypes()

    - #### getProcessInstanceByteArray

          public byte[] getProcessInstanceByteArray()

    - #### clearProcessInstance

          public void clearProcessInstance()

    - #### getEnv

          public org.kie.api.runtime.Environment getEnv()

    - #### setEnv

          public void setEnv(org.kie.api.runtime.Environment env)

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.